Author Topic: Discussion: PHP 5.2.2 and changes / SVN WB 2.8.1 to WB 2.8.2  (Read 5372 times)

Waldschwein

  • Guest
Hello!

This should be a discussion thread according to this announcement http://www.websitebaker2.org/posts/WebsiteBaker-to-discontinue-support-for-php-versions-below-5.2.2-17.php . If you have any question, please ask here.
If you're testing current SVN also report here your reports - if you can understand German language the "better" topic would be http://www.websitebaker2.org/forum/index.php/topic,18362.0.html

Yours Michael



Offline bupaje

  • Posts: 570
    • http://www.stormvisions.com
Re: Discussion: PHP 5.2.2 and changes / SVN WB 2.8.1 to WB 2.8.2
« Reply #1 on: July 27, 2010, 05:06:50 PM »
I am a bit confused. I asked Yahoo to upgrade to the latest release and they upgraded to 5.2.12 which would seem to be older{?) than 5.2.2 but the release date for 5.2.12 was 17 December 2009 and the release for 5.2.2 was 03 May 2007. Am I ok with 5.2.12?
My Blog, My Site

Offline DarkViper

  • Forum administrator
  • *****
  • Posts: 3040
  • Gender: Female
Re: Discussion: PHP 5.2.2 and changes / SVN WB 2.8.1 to WB 2.8.2
« Reply #2 on: July 27, 2010, 06:57:42 PM »
No reason to be confused..  ;)

All PHP-Version equal or greater then 5.2.2 will work. Also PHP 5.3.x

yours 5.2.12 is definitely greater then 5.2.2....   ;)
« Last Edit: July 27, 2010, 06:59:19 PM by DarkViper »
Der blaue Planet - er ist nicht unser Eigentum - wir haben ihn nur von unseren Nachkommen geliehen

"You have to take the men as they are… but you can not leave them like that !" :-P
Das tägliche Stoßgebet: Oh Herr, wirf Hirn vom Himmel !

Waldschwein

  • Guest
Re: Discussion: PHP 5.2.2 and changes / SVN WB 2.8.1 to WB 2.8.2
« Reply #3 on: July 27, 2010, 06:58:53 PM »
Hello!

5.2.2 is the first secure release of PHP5.2. Everything that was released later (5.2.3, 5.2.4, ... 5.2.11, 5.2.12, 5.2.xy) is absolutely ok.
It seems, that the first "secure & stable" release of PHP 5.3 - 5.3.2 - was released these days. Of course you are also fine with 5.3.x if you have at least WB 2.8.1 running.

Yours Michael


Offline bupaje

  • Posts: 570
    • http://www.stormvisions.com
Re: Discussion: PHP 5.2.2 and changes / SVN WB 2.8.1 to WB 2.8.2
« Reply #4 on: July 27, 2010, 07:50:44 PM »
Thanks. The version number seemed weird. Looking at it as a decimal you would think

5.2.12

is before

5.2.20

but glad to hear I am ok.
My Blog, My Site

Offline quinto

  • Posts: 103
    • http://www.clubnumeric.org/
Re: Discussion: PHP 5.2.2 and changes / SVN WB 2.8.1 to WB 2.8.2
« Reply #5 on: July 29, 2010, 02:54:12 PM »
Great !! I'm very interested by the "secureform" functions, will it be necessary even for the backend ?
Are the "secureforms" new functions are already implemented in the core modules of the 2.8.2 version ?

Offline DarkViper

  • Forum administrator
  • *****
  • Posts: 3040
  • Gender: Female
Re: Discussion: PHP 5.2.2 and changes / SVN WB 2.8.1 to WB 2.8.2
« Reply #6 on: July 29, 2010, 04:07:05 PM »
scureform is part of the core and it's function are already implemented in some recoded backend modules. By the time any form and all scripts, with save/update functionality, should be protected with.
Der blaue Planet - er ist nicht unser Eigentum - wir haben ihn nur von unseren Nachkommen geliehen

"You have to take the men as they are… but you can not leave them like that !" :-P
Das tägliche Stoßgebet: Oh Herr, wirf Hirn vom Himmel !

Offline PurpleEdge

  • Posts: 231
  • Gender: Male
    • the northern beaches
Re: Discussion: PHP 5.2.2 and changes / SVN WB 2.8.1 to WB 2.8.2
« Reply #7 on: August 10, 2010, 03:26:30 PM »
Is there a target release date for 2.8.2 ?

Waldschwein

  • Guest
Re: Discussion: PHP 5.2.2 and changes / SVN WB 2.8.1 to WB 2.8.2
« Reply #8 on: August 10, 2010, 03:40:19 PM »
It will be most likely in Q3 / 2010. Sorry - we can't give a more precisely date...

Yours Michael